package com.ruoyi.ibs.list.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 个人签约产品对象 signed_products
 * 
 * @author ruoyi
 * @date 2024-11-07
 */
public class SignedProducts extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 活期储蓄存款,存在为1，不存在为0 */
    @Excel(name = "活期储蓄存款,存在为1，不存在为0")
    private String currdeposFlag;

    /** 随心花,存在为1，不存在为0 */
    @Excel(name = "随心花,存在为1，不存在为0")
    private String hatflowcostbookFlag;

    /** 个人住房按揭贷,存在为1，不存在为0 */
    @Excel(name = "个人住房按揭贷,存在为1，不存在为0")
    private String phmortgloanFlag;

    /** 浙里贷,存在为1，不存在为0 */
    @Excel(name = "浙里贷,存在为1，不存在为0")
    private String zheliloanFlag;

    /** 大额存单 */
    @Excel(name = "大额存单")
    private String frcdFlag;

    /** 理财业务签约,存在为1，不存在为0 */
    @Excel(name = "理财业务签约,存在为1，不存在为0")
    private String financialbookFlag;

    /** 基金业务签约,存在为1，不存在为0 */
    @Excel(name = "基金业务签约,存在为1，不存在为0")
    private String fundbookFlag;

    /** 保险业务签约,存在为1，不存在为0 */
    @Excel(name = "保险业务签约,存在为1，不存在为0")
    private String insurbookFlag;

    /** 债券业务签约,存在为1，不存在为0 */
    @Excel(name = "债券业务签约,存在为1，不存在为0")
    private String bondbookFlag;

    /** 水费代扣签约,存在为1，不存在为0 */
    @Excel(name = "水费代扣签约,存在为1，不存在为0")
    private String watfeeWhcFlag;

    /** 电费代扣签约,存在为1，不存在为0 */
    @Excel(name = "电费代扣签约,存在为1，不存在为0")
    private String elefeeWhcFlag;

    /** 燃气费代扣签约,存在为1，不存在为0 */
    @Excel(name = "燃气费代扣签约,存在为1，不存在为0")
    private String gasfeeWhcFlag;

    /** etc,存在为1，不存在为0 */
    @Excel(name = "etc,存在为1，不存在为0")
    private String etcFlag;

    /** 客户号 */
    @Excel(name = "客户号")
    private String custId;

    public void setCurrdeposFlag(String currdeposFlag) 
    {
        this.currdeposFlag = currdeposFlag;
    }

    public String getCurrdeposFlag() 
    {
        return currdeposFlag;
    }
    public void setHatflowcostbookFlag(String hatflowcostbookFlag) 
    {
        this.hatflowcostbookFlag = hatflowcostbookFlag;
    }

    public String getHatflowcostbookFlag() 
    {
        return hatflowcostbookFlag;
    }
    public void setPhmortgloanFlag(String phmortgloanFlag) 
    {
        this.phmortgloanFlag = phmortgloanFlag;
    }

    public String getPhmortgloanFlag() 
    {
        return phmortgloanFlag;
    }
    public void setZheliloanFlag(String zheliloanFlag) 
    {
        this.zheliloanFlag = zheliloanFlag;
    }

    public String getZheliloanFlag() 
    {
        return zheliloanFlag;
    }
    public void setFrcdFlag(String frcdFlag) 
    {
        this.frcdFlag = frcdFlag;
    }

    public String getFrcdFlag() 
    {
        return frcdFlag;
    }
    public void setFinancialbookFlag(String financialbookFlag) 
    {
        this.financialbookFlag = financialbookFlag;
    }

    public String getFinancialbookFlag() 
    {
        return financialbookFlag;
    }
    public void setFundbookFlag(String fundbookFlag) 
    {
        this.fundbookFlag = fundbookFlag;
    }

    public String getFundbookFlag() 
    {
        return fundbookFlag;
    }
    public void setInsurbookFlag(String insurbookFlag) 
    {
        this.insurbookFlag = insurbookFlag;
    }

    public String getInsurbookFlag() 
    {
        return insurbookFlag;
    }
    public void setBondbookFlag(String bondbookFlag) 
    {
        this.bondbookFlag = bondbookFlag;
    }

    public String getBondbookFlag() 
    {
        return bondbookFlag;
    }
    public void setWatfeeWhcFlag(String watfeeWhcFlag) 
    {
        this.watfeeWhcFlag = watfeeWhcFlag;
    }

    public String getWatfeeWhcFlag() 
    {
        return watfeeWhcFlag;
    }
    public void setElefeeWhcFlag(String elefeeWhcFlag) 
    {
        this.elefeeWhcFlag = elefeeWhcFlag;
    }

    public String getElefeeWhcFlag() 
    {
        return elefeeWhcFlag;
    }
    public void setGasfeeWhcFlag(String gasfeeWhcFlag) 
    {
        this.gasfeeWhcFlag = gasfeeWhcFlag;
    }

    public String getGasfeeWhcFlag() 
    {
        return gasfeeWhcFlag;
    }
    public void setEtcFlag(String etcFlag) 
    {
        this.etcFlag = etcFlag;
    }

    public String getEtcFlag() 
    {
        return etcFlag;
    }
    public void setCustId(String custId) 
    {
        this.custId = custId;
    }

    public String getCustId() 
    {
        return custId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("currdeposFlag", getCurrdeposFlag())
            .append("hatflowcostbookFlag", getHatflowcostbookFlag())
            .append("phmortgloanFlag", getPhmortgloanFlag())
            .append("zheliloanFlag", getZheliloanFlag())
            .append("frcdFlag", getFrcdFlag())
            .append("financialbookFlag", getFinancialbookFlag())
            .append("fundbookFlag", getFundbookFlag())
            .append("insurbookFlag", getInsurbookFlag())
            .append("bondbookFlag", getBondbookFlag())
            .append("watfeeWhcFlag", getWatfeeWhcFlag())
            .append("elefeeWhcFlag", getElefeeWhcFlag())
            .append("gasfeeWhcFlag", getGasfeeWhcFlag())
            .append("etcFlag", getEtcFlag())
            .append("custId", getCustId())
            .toString();
    }
}
